Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Kan kernel niet updaten  (gelezen 1920 keer)

Offline Leon_III

  • Lid
  • Steunpunt: Ja
Kan kernel niet updaten
« Gepost op: 2011/03/05, 10:46:34 »
Kan bij  ubuntu 10.04 Lucid LTS  niet de kernel updaten, naar wat gezoek hier op het forum kom ik erachter dat dit waarschijnlijk aan de grub ligt.


Een tijd geleden heb ik geschoven met de partities, en daarmee de grub om zeep geholpen.
Om weer te kunnen draaien, heb ik naast mijn Ubuntu 10.04 LTS 10.10 geinstalleerd, daarmee kreeg ik een nieuwe  grub en kon ik 10.04 en 10.10 draaien in duo boot.

Kort geleden heb ik de partitie met 10.10 gewist en vervangen door de alpha versie 11.04 Natty Narwhal.

Nu krijg ik een fout melding bij de upgrade van de kernel.

Weet eigelijk niet wat te doen, want als ik de oude grub van 10.04 LTS  installeer kan ik waarschijnlijk 11.04 Natty niet updaten, kun je uberhaubt wel 2 verschillende versies naast elkaar draaien?

Heb een en ander ook al geprobeerd te vragen in een opgelost topic van MKe, http://forum.ubuntu-nl.org/software-en-configuratie/fout-bij-installatie-kernel-2-6-32-28-generic-op-32bit-lucid/ maar daar werd niet op geantwoord, op advies van Wanda nieuw topic begonnen.
Laptops HP Probook 4720s en HP g72
Testcomputer HP Compaq dc7800p 
email: SteunpuntLeon@gmail.com

Offline Gijsbert

  • Lid
  • Steunpunt: Ja
Re: Kan kernel niet updaten
« Reactie #1 Gepost op: 2011/03/05, 12:12:02 »
Wat is de foutmelding?
In der Beschränkung zeigt sich der Meister.

Offline Leon_III

  • Lid
  • Steunpunt: Ja
Re: Kan kernel niet updaten
« Reactie #2 Gepost op: 2011/03/05, 13:59:10 »
Als ik sudo apt-get upgrade doe krijg ik het volgende:


Instellen linux-image-2.6.32-28-generic (2.6.32-28.55) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.32-28-generic
Running postinst hook script /sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub
/etc/default/grub: regel 20: want: opdracht niet gevonden
User postinst hook script [/sbin/update-grub] exited with value 127
dpkg: fout bij afhandelen van linux-image-2.6.32-28-generic (--configure):
 subproces installed post-installation script gaf een foutwaarde 127 terug
Instellen van linux-image-2.6.32-29-generic (2.6.32-29.58) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.32-29-generic
Running postinst hook script /sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub
/etc/default/grub: regel 20: want: opdracht niet gevonden
User postinst hook script [/sbin/update-grub] exited with value 127
dpkg: fout bij afhandelen van linux-image-2.6.32-29-generic (--configure):
 subproces installed post-installation script gaf een foutwaarde 127 terug
Instellen van linux-firmware (1.34.4) ...
dpkg: vereistenproblemen verhinderen de configuratie van linux-image-generic:
 linux-image-generic is afhankelijk van linux-image-2.6.32-29-generic; maar:
  Pakket linux-image-2.6.32-29-generic is nog niet geconfigureerd.
dpkg: fout bij afhandelen van linux-image-generic (--configure):
 vereistenproblemen - blijft ongeconfigureerd
dpkg: vereistenproblemen verhinderen de configuratie van linux-generic:
 linux-generic is afhankelijk van linux-image-generic (= 2.6.32.29.35); maar:
  Pakket linux-image-generic is nog niet geconfigureerd.
dpkg: fout bij afhandelen van linux-generic (--configure):
 vereistenproblemen - blijft ongeconfigureerd
Instellen van libpango1.0-common (1.28.0-0ubuntu2.2) ...
Geen apport-rapport geschreven omdat de foutmelding aangeeft dat het gaat om een fout die voortvloeit uit een eerdere fout.


Onderaan:


Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for menu ...
Fouten gevonden tijdens behandelen van:
 linux-image-2.6.32-28-generic
 linux-image-2.6.32-29-generic
 linux-image-generic
 linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

« Laatst bewerkt op: 2011/03/06, 12:37:14 door Leon_III »
Laptops HP Probook 4720s en HP g72
Testcomputer HP Compaq dc7800p 
email: SteunpuntLeon@gmail.com

Offline Gijsbert

  • Lid
  • Steunpunt: Ja
Re: Kan kernel niet updaten
« Reactie #3 Gepost op: 2011/03/05, 22:36:53 »
Ik vermoed dat het een fout in Grub is. Als je Grub in orde wilt krijgen zal je Grub opnieuw moeten installeren, het lijkt mij hetbeste als je dit met de cd van Ubuntu 10.10 doet: http://wiki.ubuntu-nl.org/community/Grub2#HerstelGrub2meteenLiveCD
Je kan meer dan 1 Ubuntu installaties naast elkaar zetten. De Grub van de laatste Ubuntu installatie wordt geïnstalleerd in het MBR.
Maar je kan altijd de grub van een eerdere installatie gebruiken en in het MBR zetten, zoals beschreven in de link, net wat je wilt.
Zo kan je bijv. Ubuntu 10.4, Ubuntu 10.10, Linux MINT 9.0 en Debian serge naast elkaar zetten en de Grub van 10.04 gebruiken.
In der Beschränkung zeigt sich der Meister.

Offline Leon_III

  • Lid
  • Steunpunt: Ja
Re: Kan kernel niet updaten
« Reactie #4 Gepost op: 2011/03/06, 11:16:12 »
Citaat
Ik vermoed dat het een fout in Grub is. Als je Grub in orde wilt krijgen zal je Grub opnieuw moeten installeren, het lijkt mij hetbeste als je dit met de cd van Ubuntu 10.10 doet: http://wiki.ubuntu-nl.org/community/Grub2#HerstelGrub2meteenLiveCD

Dat vermoede ik ook. Heb de Grub weer terug gezet zoals in de wiki omschreven.

Kwam daar de volgende afwijkingen tegen

Bij de partitie lijst: "Partition table are not in disk order"
Bij het terug zetten van de grub: "default/grub 20 want: not found"

Bij het opstarten geen grub menu, gelijk door naar de oude Ubuntu 10.10 LTS
Bij "sudo apt-get upgrade" weer hetzelfde verhaal als hier boven, kan de kernel nog steeds niet upgraden.

Heb  nog even opgestart met de shift toets ingedrukt om de grub te bekijken hier staat alleen de oude Ubuntu 10.10 in

Ligt het aan die regel 20 of misschien aan de plaats van de Grub. Heb de grub herplaatst in de partitie waar de oude Ubuntu 10.10 LTS stond.
Aparte boot partitie misschien?
 
Laptops HP Probook 4720s en HP g72
Testcomputer HP Compaq dc7800p 
email: SteunpuntLeon@gmail.com

Offline Gijsbert

  • Lid
  • Steunpunt: Ja
Re: Kan kernel niet updaten
« Reactie #5 Gepost op: 2011/03/06, 11:58:03 »
Zolang jijzelf geen aparte bootpartitie hebt aangegeven, zal deze er ook niet zijn.
Kan je de uitkomst van sudo fdisk -l hier plaatsen?
In der Beschränkung zeigt sich der Meister.

Offline HarzG

  • Lid
  • Steunpunt: Nee
Re: Kan kernel niet updaten
« Reactie #6 Gepost op: 2011/03/06, 12:03:24 »
Voordat je installaties uitvoert, kan je beter eerst de meest recente pakketten laden:
sudo apt-get update
sudo apt-get dist-upgrade

Eerst a.u.b. de vraag van Gijsbert beantwoorden.

... en dan kan je het volgende doen voor een oplossing van de Grub-problemen:

1. Start de live-CD van 10.04 Lucid LTS en herstel Grub zoals in deze uitleg wordt omschreven. Hierna kan je volgens mij 10.04 weer normaal gebruiken en updates installeren.
(Laat daar bij de bronnen alleen pakketten voor LTS-ondersteuning toe: 3e tab van de bronnen, de optie staat helemaal onderaan.)
2. Als je Grub niet telkens wilt laten overschrijven, kan je de parallel-installatie van 11.04 gedeeltelijk bevriezen en daar geen kernels meer upgraden.


De structurele oplossing kan met dual/multi-boot-systemen voor Grub op twee manieren worden geregeld:
a. gebruik een aparte boot-partitie, b. gebruik 1 hoofdsysteem met Grub in/naar MBR en laat bij de andere installatie(s) Grub in de partitie schrijven.

Mijn situatie hier is zo (conform oplossing b.):
Voor 10.04 Lucid LTS gebruik ik nog steeds Grub1 en dat systeem schrijft telkens naar de MBR bij kernel-upgrades.
Voor Mint 9 Xfce is vastgelegd dat bij kernel-upgrades Grub naar de bootrecord van deze partitie wordt geschreven. Mint wordt met de chainloader gestart.

Misschien kan voor Grub2 ook zoiets geregeld worden (maar dat is mij te bewerkelijk). Waarschijnlijk kan het met Grub2 beter met een aparte boot-partitie gedaan worden.
Grub1 actualiseert namelijk alleen de configuratie van de actieve installatie. Grub2 doorzoekt altijd alle partitie alle partities naar beschikbare kernels en laat die dan in een lange lijst zien. (Deze lijst kan trouwens ingekort worden met een optie "toon maximaal ... kernels" bijv. via de startup-manager.)
Vandaar dat ik nog steeds aanhanger van Grub1 ben, daar kan ik de configuratie met een simpele tekst-editor bewerken als dat moet.

## ## End Default Options ##

title Ubuntu 10.04.2 LTS, kernel 2.6.32-29-generic
uuid uuid_code123456_van_lucid
kernel /boot/vmlinuz-2.6.32-29-generic root=UUID=uuid_code123456_van_lucid ro 
initrd /boot/initrd.img-2.6.32-29-generic

title Ubuntu 10.04.2 LTS, kernel 2.6.32-29-generic (recovery mode)
uuid uuid_code123456_van_lucid
kernel /boot/vmlinuz-2.6.32-29-generic root=UUID=uuid_code123456_van_lucid ro  single
initrd /boot/initrd.img-2.6.32-29-generic

title Ubuntu 10.04.2 LTS, kernel 2.6.32-28-generic
uuid uuid_code123456_van_lucid
kernel /boot/vmlinuz-2.6.32-28-generic root=UUID=uuid_code123456_van_lucid ro 
initrd /boot/initrd.img-2.6.32-28-generic
quiet

title Ubuntu 10.04.2 LTS, kernel 2.6.32-28-generic (recovery mode)
uuid uuid_code123456_van_lucid
kernel /boot/vmlinuz-2.6.32-28-generic root=UUID=uuid_code123456_van_lucid ro  single
initrd /boot/initrd.img-2.6.32-28-generic

title Ubuntu 10.04.2 LTS, memtest86+
uuid uuid_code123456_van_lucid
kernel /boot/memtest86+.bin
quiet

### END DEBIAN AUTOMAGIC KERNELS LIST

### mint installatie
title mint_9 Xfce 64bit chainloader
uuid uuid_code123456_van_mint
kernel /boot/grub/core.img
Xubuntu 18.04; siduction-15.1.0 Xfce

Offline Leon_III

  • Lid
  • Steunpunt: Ja
Re: Kan kernel niet updaten
« Reactie #7 Gepost op: 2011/03/06, 12:16:52 »
Citaat
Zolang jijzelf geen aparte bootpartitie hebt aangegeven, zal deze er ook niet zijn.
Kan je de uitkomst van sudo fdisk -l hier plaatsen?

Bij deze, sda1 is de Ubuntu 10.10 LTS versie, sda5 de alpha 11.04 Natty

Schijf /dev/sda: 250.1 GB, 250059350016 bytes
255 koppen, 63 sectoren/spoor, 30401 cilinders
Eenheid = cilinders van 16065 * 512 = 8225280 bytes
Sectorgrootte (logischl/fysiek): 512 bytes / 512 bytes
in-/uitvoergrootte (minimaal/optimaal): 512 bytes / 512 bytes
Schijf-ID: 0x00028616

 Apparaat Opstart   Begin       Einde     Blokken   ID  Systeem
/dev/sda1   *           1       25208   202476764+  83  Linux
/dev/sda2           30266       30402     1088512   82  Linux wisselgeheugen
/dev/sda3           25208       30266    40632321    5  Uitgebreid
/dev/sda5           25208       30053    38919168   83  Linux
/dev/sda6           30053       30266     1712128   82  Linux wisselgeheugen

Partitietabel-items liggen niet in schijfvolgorde.

Laptops HP Probook 4720s en HP g72
Testcomputer HP Compaq dc7800p 
email: SteunpuntLeon@gmail.com

Offline HarzG

  • Lid
  • Steunpunt: Nee
Re: Kan kernel niet updaten
« Reactie #8 Gepost op: 2011/03/06, 12:38:33 »
Bij deze, sda1 is de Ubuntu 10.10 LTS versie, sda5 de alpha 11.04 Natty
10.04 is een LTS-versie. 10.10 is dat niet.

Vraag: welke heb je - een upgrade van 10.04 naar 10.10 gedaan en dus nu 10.10?

Wat toont
cat /etc/lsb-releasein de terminal?
Xubuntu 18.04; siduction-15.1.0 Xfce

Offline Leon_III

  • Lid
  • Steunpunt: Ja
Re: Kan kernel niet updaten
« Reactie #9 Gepost op: 2011/03/06, 12:49:14 »
Ja sorry, mijn fout moet zijn de 10.04 LTS

cat /etc/lsb-release
geeft:

DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=10.04
DISTRIB_CODENAME=lucid
DISTRIB_DESCRIPTION="Ubuntu 10.04.2 LTS"

Ik heb geen upgrade gedaan, Heb alleen een partitie met 10.04 LTS voor normaal gebruik en een partitie met een testversie in dit geval 11.04 Natty Narwal, op deze manier had ik ook mint geprobeerd.
Laptops HP Probook 4720s en HP g72
Testcomputer HP Compaq dc7800p 
email: SteunpuntLeon@gmail.com

Offline Gijsbert

  • Lid
  • Steunpunt: Ja
Re: Kan kernel niet updaten
« Reactie #10 Gepost op: 2011/03/06, 13:00:57 »
Nog even over de regel 20, deze staat in /etc/default/grub, volgens de foutmelding. Open deze met sudo gedit /etc/default/grub of als je geen grafisch scherm hebt met sudo nano /etc/default/grub  Kijk of er wel een comment(#) voor de regel staat of plaats de uitkomst hier.
Bij mij ziet het er zo uit, niet overnemen, ik heb wat verandert.
# If you change this file, run 'update-grub' afterwards to update
# /boot/grub/grub.cfg.

GRUB_DEFAULT="0"
#GRUB_HIDDEN_TIMEOUT="0"
GRUB_HIDDEN_TIMEOUT_QUIET="true"
GRUB_TIMEOUT="2"
GRUB_DISTRIBUTOR="`lsb_release -i -s 2> /dev/null || echo Debian`"
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
GRUB_CMDLINE_LINUX=""

# Uncomment to disable graphical terminal (grub-pc only)
#GRUB_TERMINAL="console"

# The resolution used on graphical terminal
# note that you can use only modes which your graphic card supports via VBE
# you can see them in real GRUB with the command `vbeinfo'
#GRUB_GFXMODE="640x480"

# Uncomment if you don't want GRUB to pass "root=UUID=xxx" parameter to Linux
#GRUB_DISABLE_LINUX_UUID="true"

# Uncomment to disable generation of recovery mode menu entries
#GRUB_DISABLE_LINUX_RECOVERY="true"

# Uncomment to get a beep at grub start
#GRUB_INIT_TUNE="480 440 1"

export GRUB_MENU_PICTURE="/home/gijs/Afbeeldingen/Schermafdruk.png"
export GRUB_COLOR_NORMAL="light-cyan/black"
export GRUB_COLOR_HIGHLIGHT="light-green/light-gray"
Als je hier iets verandert hebt moet je altijd dit commando uitvoeren in de terminal update-grub
Verder als je een OS mist, voer eerst deze commando's uit:
sudo os-prober
sudo update-grub
In der Beschränkung zeigt sich der Meister.

Offline Leon_III

  • Lid
  • Steunpunt: Ja
Re: Kan kernel niet updaten
« Reactie #11 Gepost op: 2011/03/06, 22:51:45 »
Dit is mijn grub

1# If you change this file, run 'update-grub' afterwards to update
 2# /boot/grub/grub.cfg.
 3
 4GRUB_DEFAULT=0
 5GRUB_HIDDEN_TIMEOUT=0
 6GRUB_HIDDEN_TIMEOUT_QUIET=true
 7GRUB_TIMEOUT=10
 8GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Ubuntu
 9GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
10# GRUB_CMDLINE_LINUX=" splash quiet vga=769"
11
12# Uncomment to disable graphical terminal (grub-pc only)
13# GRUB_TERMINAL=console
14
15# The resolution used on graphical terminal
16# note that you can use only modes which your graphic card supports via VBE
17# you can see them in real GRUB with the command `vbeinfo'
18# GRUB_GFXMODE=640x480
19
20# Uncomment if you don't want GRUB to pass "root=UUID=xxx" parameter to Linux
# GRUB_DISABLE_LINUX_UUID=true

# Uncomment to disable generation of recovery mode menu entries
# GRUB_DISABLE_LINUX_RECOVERY="true"

# Uncomment to get a beep at grub start
# GRUB_CMDLINE_LINUX="1 splash 440 480"

Ik neem aan dat het teken # betekend dat de regel word genegeerd,
De onderstreepte regel is volgens mijn telling regel 20.
Dit is een uncomment regel met het # teken er voor. Wel komt hier het woord "want" in voor

Searching for GRUB installation directory ... found: /boot/grub
/etc/default/grub: regel 20: want: opdracht niet gevonden

Laptops HP Probook 4720s en HP g72
Testcomputer HP Compaq dc7800p 
email: SteunpuntLeon@gmail.com

Offline Gijsbert

  • Lid
  • Steunpunt: Ja
Re: Kan kernel niet updaten
« Reactie #12 Gepost op: 2011/03/06, 23:26:11 »
Dat had ik gezien, vandaar mijn vraag. Zet er voor de zekerheid nog een comment ervoor zo dat je dit krijgt:
##Uncomment if you don't want GRUB to pass "root=UUID=xxx" parameter to Linux

Alhoewel ik niet denk dat het deze regel betreft, gezien de regel bij mij hetzelfde is, maar even uitproberen kan geen kwaad.
Je weet verder zeker dat  je de file /etc/default/grub van sda1 hebt?
In der Beschränkung zeigt sich der Meister.